# plain_notes

## requirements

- bash
- GNU tools
    - cat
    - find
    - sed
    - sort
    - uniq
    - date
- some text editor (default: "vi")
- [fzf](https://github.com/junegunn/fzf)

## Getting started

Getting the script

```bash
mkdir -p ~/.local/bin/
wget https://src.jayvii.de/pub/plain_notes/exports/main.tar.gz -O ~/.local/bin/plain_notes.tar.gz
cd ~/.local/bin/
tar xfvz plain_notes.tar.gz
chmod +x ~/.local/bin/notes.sh
```

Ease of use additions

```bash
echo "PATH=$PATH:$HOME/.local/bin" >> ~/.bashrc
echo "alias notes=$HOME/.local/bin/notes.sh" >> ~/.bashrc
```

Running the script may be done in an endless loop:

```bash
while :; ~/.local/bin/notes.sh; done
```
